/*
 * Soubor:  error.h
 * Datum:   14.12.2008
 * Autori:  Barto Luk     xbarto55@fit.vutbr.cz                           *
 *          ervienka Juraj  xcervi09@fit.vutbr.cz                           *
 *          uri Michal     xduris01@fit.vutbr.cz                           *
 *          Elis Martin      xelism00@fit.vutbr.cz                           *
 *          Herich Martin    xheric00@fit.vutbr.cz                           *
 * Projekt: Implementace interpretu imperativnho jazyka IFJ08.              *
 * Popis:   Knihovna chybovch hlen
 */

#ifndef _ERROR_H_
#define _ERROR_H_

enum errors
{
ERR_EOK,                    //ve v podku
ERR_LEX,                    //lexikln chyba
ERR_SA,                     //syntaktick chyba
ERR_SEM,                    //smantick chyba
ERR_INT,                    //chyba interpretu
ERR_ALOC,                   //chyba alokace
ERR_FILE,                   //chyba vstupnho souboru
ERR_PARAM,                  //patn parametr
};

int error;

#endif
