/*
 * Soubor:  pretypovanie.c
 * Datum:   14.12.2008
 * Autor:   Barto Luk     xbarto55@fit.vutbr.cz                           *
 *          ervienka Juraj  xcervi09@fit.vutbr.cz                           *
 *          uri Michal     xduris01@fit.vutbr.cz                           *
 *          Elis Martin      xelism00@fit.vutbr.cz                           *
 *          Herich Martin    xheric00@fit.vutbr.cz                           *
 * Projekt: Implementace interpretu imperativnho jazyka IFJ08.              *
 * Popis:   Hlavikov sbor pravidiel pretypovania vrazov
 */


#ifndef _PRETYPOVANIE_H_
#define _PRETYPOVANIE_H_

// struktura s informaciou od pretypovani
typedef struct pretypovanie {
  enum co_pretypovat {    
    NIC,                // ani jeden operand sa nemus pretypova
    PRVY,               // prv operand sa mus pretypova
    DRUHY               // druh operand sa mus pretypova
  } co_pretypovat;
  int typ_vysledku;     // typ vsledku opercie (integer, double, string)
} TPretypovanie;

TPretypovanie pravidla_pretypovania(int operand_a, int operand_b, int operator);

#endif
