/*
 * Soubor:  ifj08.c
 * Datum:   14.12.2008
 * Autori:  Barto Luk     xbarto55@fit.vutbr.cz                           *
 *          ervienka Juraj  xcervi09@fit.vutbr.cz                           *
 *          uri Michal     xduris01@fit.vutbr.cz                           *
 *          Elis Martin      xelism00@fit.vutbr.cz                           *
 *          Herich Martin    xheric00@fit.vutbr.cz                           *
 * Projekt: Implementace interpretu imperativnho jazyka IFJ08.              *
 * Popis:   Hlavn zdrojov sbor prekladaa
 */


#include <stdio.h>
#include <stdlib.h>
#include "parser.h"
#include "interpret.h"
#include "scanner.h"
#include "hash.h"
#include "list.h"

int main(int argc, char *argv[])
{
error = ERR_EOK;

if(argc != 2)
{
        error = ERR_PARAM;
        exit(error);
        }
else 
{
  FILE *file = fopen(argv[1],"r");
  if(file == NULL)
  {
          error = ERR_FILE;
          exit(error);
          }
   torderlist list;
   tprvek *item;
   thtab *t = htab_init();
   init_list(&list);
   printf("START");
   if(parser(t,&item,&list,file))
   {
      interpret(&list);                        
   }
   htab_dispose(t);
   free_list(&list);
   fclose(file);
   printf(" koniec \n");
   return error;
  }
}
