/*
 * Soubor:  list.c
 * Datum:   14.12.2008
 * Autori:  Barto Luk     xbarto55@fit.vutbr.cz                           *
 *          ervienka Juraj  xcervi09@fit.vutbr.cz                           *
 *          uri Michal     xduris01@fit.vutbr.cz                           *
 *          Elis Martin      xelism00@fit.vutbr.cz                           *
 *          Herich Martin    xheric00@fit.vutbr.cz                           *
 * Projekt: Implementace interpretu imperativnho jazyka IFJ08.              *
 * Popis:   Zdrojov sbor s operciami nad zoznamom intrukci 3AK
 */


#include "list.h"


//Inicializacia zoznamu
void init_list(torderlist *list)
{
     list->first = NULL;
     list->last = NULL;
     list->act = NULL;
}

//Funkcia vyprazdni zoznam a dealokuje pamt

void free_list(torderlist *list)
{
torderPtr ptr;
list->act = NULL;                       //Nastavime aktivny prvok na null
list->last = NULL;                      //Nastavime posledny prvok zoznamu na null

while (list->first != NULL)
  {
    ptr = list->first;
    list->first = list->first->next;
    // uvolnime celu polozku
    free(ptr);
  } 
 }
void insert_list(torderlist *list,int operation, tprvek *uk1, tprvek *uk2, tprvek *uk3)
{
     torderPtr ptr;
     ptr = malloc(sizeof(struct order));
     if(ptr == NULL)
     {
            error = ERR_ALOC;
            return;
            }
     ptr->operation = operation;
     ptr->uk1 = uk1;
     ptr->uk2 = uk2;
     ptr->uk3 = uk3;
     ptr->next = NULL;
     
     if(list->first == NULL)
     {
     list->first = ptr;
     list->last = ptr;
                    } 
     else
     {
         list->last->next = ptr;
         list->last = ptr;
     }
}

torderPtr *active_list(torderlist *list)
{
if(list->act != NULL)
{
 list->act = list->act->next;
}
else
{
    list->act = list->first;
}
return &(list->act);    
}
