/*
 * Soubor:  str.h
 * Datum:   14.12.2008
 * Autori:  Barto Luk     xbarto55@fit.vutbr.cz                           *
 *          ervienka Juraj  xcervi09@fit.vutbr.cz                           *
 *          uri Michal     xduris01@fit.vutbr.cz                           *
 *          Elis Martin      xelism00@fit.vutbr.cz                           *
 *          Herich Martin    xheric00@fit.vutbr.cz                           *
 * Projekt: Implementace interpretu imperativnho jazyka IFJ08.              *
 * Popis:   Knihovna pro prci s etzci
 */

#ifndef _STR_H_
#define _STR_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct
{
  char *text;		// miesto pro dany retezec ukonceny znakem '\0'
  int lenght;		// skutocna dlzka retezca
  int allocSize;	// velkost alokovanej pameti
} string;

string str_init();
void str_free(string *);
void str_realoc(string *);
void add_char(string *,char);
char *strGetStr(string *);
int strGetLength(string *);
int str_cmpstring(string *, string *);
int str_cmpConstStr(string *,const char*);
void str_concat(string *,string *);
void str_copy(string *, string *);
void str_copy_string(string *,char *);
void str_scitanie_string(string *,char *);

#endif
